RDKit: ForceFields::MMFF::OopBendContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ForceFields::MMFF::OopBendContrib Class Reference

the out-of-plane term for MMFF More...

`#include <OopBend.h>`

Inheritance diagram for ForceFields::MMFF::OopBendContrib:

## Public Member Functions
| OopBendContrib ()
| OopBendContrib (ForceField *owner)
| Constructor.
void | addTerm (unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, const MMFFOop *mmffOopParams)
double | getEnergy (double *pos) const override
| returns our contribution to the energy of a position
void | getGrad (double *pos, double *grad) const override
| calculates our contribution to the gradients of a position
OopBendContrib * | copy () const override
| return a copy
void | getSingleGrad (double *pos, double *grad, unsigned int termIdx) const
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

the out-of-plane term for MMFF

Definition at line 21 of file OopBend.h.

## Constructor & Destructor Documentation

## ◆ OopBendContrib() [1/2]

ForceFields::MMFF::OopBendContrib::OopBendContrib | ( |  | ) |
| inline

Definition at line 23 of file OopBend.h.

Referenced by copy().

## ◆ OopBendContrib() [2/2]

ForceFields::MMFF::OopBendContrib::OopBendContrib | ( | ForceField * | owner | ) |

Constructor.

References ForceFields::ForceFieldContrib::ForceField.

## Member Function Documentation

## ◆ addTerm()

void ForceFields::MMFF::OopBendContrib::addTerm | ( | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | const MMFFOop * | mmffOopParams )

Adds an out-of-plane term to the force field contrib.

The Wilson angle is between the vector formed by atom2-atom4 and the angle formed by atom1-atom2-atom3

Parameters

  idx1 | index of atom1 in the ForceField's positions
  idx2 | index of atom2 in the ForceField's positions
  idx3 | index of atom3 in the ForceField's positions
  idx4 | index of atom4 in the ForceField's positions

## ◆ copy()

OopBendContrib * ForceFields::MMFF::OopBendContrib::copy | ( |  | ) | const
| inlineoverridevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 42 of file OopBend.h.

References OopBendContrib().

## ◆ getEnergy()

double ForceFields::MMFF::OopBendContrib::getEnergy | ( | double * | pos | ) | const
| overridevirtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## ◆ getGrad()

void ForceFields::MMFF::OopBendContrib::getGrad | ( | double * | pos,
|  | double * | grad ) const
| overridevirtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

## ◆ getSingleGrad()

void ForceFields::MMFF::OopBendContrib::getSingleGrad | ( | double * | pos,
|  | double * | grad,
|  | unsigned int | termIdx ) const

The documentation for this class was generated from the following file:

- OopBend.h